Sony BT remote not pairing
#1
Ok, not the correct place to post this but i've had issues with setting up a LibreELEC forum account.
So appologies ahead of time but hope someone can help.

I have a RPi3 originally running some version of OpenElec (before the LibreELEC fork)..
Some time later i updated to LibreELEC via copying the compressed update image to SD card and rebooting.
It worked fine and i could manage LE and Kodi via System menu.
I could also manage LE via Program menu.

Now i' cant say what versions of LE i was running and likley i've updated a few more times over the last year,
Memory has faded.

And since i prefer Confluence skin, i likely also reinstalled it at various times as i remember i didn't like Estuary.
Well it's probably more accurate to say i was/am not used to this new default skin and simply prefer what i'm used to.

So this brings us to last week when i updated to the LE 8.0 channel from within LE itself.
This resulted in LibreELEC v7.95.2 which comes with Estuary skin (so again i re-installed Confluence as it had disapeared).

One issue seemed to be the the LibreELEC configuration page was now no longer accessable via Systems menu Confused
Oh and it also seemed like the LE configuration page could not be scrolled to see all options Huh
This was the case both within Estuary and Confluence.
Otherwise everything seemed OK so far Big Grin

Fast forward to today when i updated to LibreELEC v7.95.3 and again all seemed fine in Kodi land.
Unfortunately the LibreELEC config menu had not migrated back to then Systems menu as i had hoped it would.
Otherwise it worked well and i was enjoying viewing somne of my collection of films.

But now to my main issue.

Preiodically my Sony BT/IR remote batteries die and though frustrating it's no big deal.
I simply recharge the batteries, reinstert them into the remote and jump into LE configuration.
Then under BlueTooth, i left click my remote which is listed in the right pane and select "trust and connect".
Finally i press the play and PS buttons on the remote and the PS led flashes and the remote pairs with my RPi3.
And back to viewing my colection again Big Grin

Unfortunately LibreELEC config menu on LE v7.95.2 and 7.95.3 doesn't have a Bluetooth "trust and connect" option.
Using the "pair" option fails and as a result i don't have a usabel remote Undecided

Is this a known issue with LE v7.95.3?
Does anuone have a solution?
I'm a XBMC novice :)
Reply
#2
(2017-02-13, 16:28)skylarking Wrote: Ok, not the correct place to post this but i've had issues with setting up a LibreELEC forum account.
So appologies ahead of time but hope someone can help.

What issues are you experiencing? I don't think we're aware of any forum related issues.

(2017-02-13, 16:28)skylarking Wrote: Unfortunately the LibreELEC config menu had not migrated back to then Systems menu as i had hoped it would.

It will never migrate back to the System menu as that was an LE customisation when LE shipped Confluence as the default skin. You're now using the stock Confluence skin (installed from the Kodi repository), and this has no modification for the Systems menu.

(2017-02-13, 16:28)skylarking Wrote: But now to my main issue.

Preiodically my Sony BT/IR remote batteries die and though frustrating it's no big deal.
I simply recharge the batteries, reinstert them into the remote and jump into LE configuration.
Then under BlueTooth, i left click my remote which is listed in the right pane and select "trust and connect".
Finally i press the play and PS buttons on the remote and the PS led flashes and the remote pairs with my RPi3.
And back to viewing my colection again Big Grin

Unfortunately LibreELEC config menu on LE v7.95.2 and 7.95.3 doesn't have a Bluetooth "trust and connect" option.
Using the "pair" option fails and as a result i don't have a usabel remote Undecided

Is this a known issue with LE v7.95.3?
Does anuone have a solution?

We'll have to look into what has happened to "Trust and Connect" - I agree it was there in 7.0.3 but is no longer there in 7.95.x releases.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
Reply
#3
(2017-02-13, 16:28)skylarking Wrote: Is this a known issue with LE v7.95.3?
Does anuone have a solution?

Are you able to test the RPi2 build here as this includes a fix for the Bluetooth connection issue - it should now give you a "Connect" option for an already trusted device. This build is based on Kodi 18 with 4.10-rc8 kernel so there may be some skin issues. You will need to copy the tar file into the Update folder then reboot to apply the upgrade.

If we can test this then ideally we can get it into LE 8.0 final.

You should be able to revert back to 7.95.3 by installing it from the Available Versions in LE Settings addon.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
Reply
#4
(2017-02-13, 22:13)Milhouse Wrote: What issues are you experiencing? I don't think we're aware of any forum related issues.
I'm having issues with recapture when trying to register an account .
I'll try upgrading to the latest firefox and hopefully that will resolve the issue.
(2017-02-13, 22:13)Milhouse Wrote: It will never migrate back to the System menu as that was an LE customisation when LE shipped Confluence as the default skin. You're now using the stock Confluence skin (installed from the Kodi repository), and this has no modification for the Systems menu.
I would have thought such customizations would have also been made to LibreeLEC default Estuary skin but LE Configuration menu is also missing from within System menu when using default skin.
(2017-02-13, 22:13)Milhouse Wrote: We'll have to look into what has happened to "Trust and Connect" - I agree it was there in 7.0.3 but is no longer there in 7.95.x releases.
(2017-02-14, 02:15)Milhouse Wrote: Are you able to test the RPi2 build here as this includes a fix for the Bluetooth connection issue - it should now give you a "Connect" option for an already trusted device.
I will give LE 8 testbuild a try hopefully by tomorrow and see if this resolves my immediate issue.
Hope the option returns as "trust and connect" would be needed if i replace the BT remote with another down the track.

I'll post back the results ASAP.
I'm a XBMC novice :)
Reply
#5
Well, either my internet or Libreelec.tv is running at snails pace and patience isn't cutting it.
As such i can't test if recapture during account creation is now working after updating to latest firefox.

Worse still, for some odd reason i can't putty into my RPi dispite specifying correct IP address, account name and password.
Specifying IP address within Explorer also brings no bring joy.

Ran out of time to play so i'll have to get back to testing the 'milhouse' build later.
Likely i'll simply boot a linux cd on my laptop and write the tar file directly to sd card (avoiding this mornings headache).

Hope to get back to it later today or tomorrow.
If it still causes issues, i may simply back up my library and reinstall the lot.

Cheers Tongue
I'm a XBMC novice :)
Reply
#6
Well, i sorted out my SSH issue which resulted from a simple brain fart on my part Huh Sleepy Seems i had repeatedly typed the wrong user name and password when logging in and i hadn't notice the clear username and password hint within the LibreELEC settings page Undecided

Anyway, i was able to successfully updated to the LE 8.0 Milhouse testbuild link a couple of posts above and the process didn't toast my library Big Grin

The end result was my Sony BT remote can now be 'connected' after a battery change :Nod:

I haven't yet been brave enough to 'delete' and 'connect' the BT remote as the 'select actions' are a little unclear. I suspect 'connect' is the same as the old 'trust and connect' but i'm not 100% sure.

On this issue of not been 100% sure, shouldn't the BT Remote 'select actions' include an explanation on the bottom of the popup page Huh It seems to be a convention to include an explanation on settings pages but popups seem to lack this standard Confused

The only other annoyance was during the upgrade itself, Confluence was not carried forward as it was indicated it was not compatable. Will Confluence be brought into line with LE 8.0?

As for other general issues related to the test build, i'll play with it and comment appropriately in the testbuild thread.

@Milhouse thanks for your continued effort and great work.

Cheers.
I'm a XBMC novice :)
Reply
#7
(2017-02-15, 23:40)skylarking Wrote: The only other annoyance was during the upgrade itself, Confluence was not carried forward as it was indicated it was not compatable. Will Confluence be brought into line with LE 8.0?

Yes, that's to be expected as the test build is LE9/Kodi18. The GUI API has been bumped in Kodi 18 (which is alpha1 status) and the version of Confluence you have installed is for Kodi 17, hence the incompatibility. Eventually Confluence will be updated to be compatible with Kodi 18, but when that is scheduled to happen I don't know (technically Confluence is now just a third-party skin like any other, and will always trail Kodi bleeding edge development unlike the default Estuary skin which is developed in tandem with Kodi).
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Sony BT remote not pairing00